Package com.databricks.jdbc.exception

## Class DatabricksTelemetryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.databricks.jdbc.exception.DatabricksTelemetryException

All Implemented Interfaces:
  `Serializable`

    public class DatabricksTelemetryException
    extends RuntimeException

Exception indicating telemetry export failures. This intentionally does NOT emit telemetry on construction to avoid recursive logging loops.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`DatabricksTelemetryException​(String message)`
`DatabricksTelemetryException​(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DatabricksTelemetryException

    public DatabricksTelemetryException​(String message)

#### DatabricksTelemetryException

    public DatabricksTelemetryException​(String message,
                                        Throwable cause)